[Chandler-dev] New test running tool: rt.py

Phillip J. Eby pje at telecommunity.com
Mon Apr 2 18:52:43 PDT 2007


At 09:25 PM 4/2/2007 -0400, Mike Taylor wrote:
>As PJE just pointed out - if you run rt.py by doing ./tools/rt.py you will 
>need your system python to be 2.4+
>
>If you do not want/wish to upgrade then you can also run rt by using 
>Chandler's Python -

Chandler's Python doesn't work, either:

$ release/RunPython.bat tools/rt.py  --help
CHANDLERHOME is "C:\cygwin\home\pje\c6\chandler\"
CHANDLERBIN is "C:\cygwin\home\pje\c6\chandler\"
Using C:\cygwin\home\pje\c6\chandler\\release\bin\python.exe tools/rt.py --help
Traceback (most recent call last):
   File "tools/rt.py", line 30, in <module>
     import build_lib
   File "C:\cygwin\home\pje\c6\chandler\tools\build_lib.py", line 26, in 
<module>
     import killableprocess
   File "C:\cygwin\home\pje\c6\chandler\tools\killableprocess.py", line 69, 
in <module>
     import winprocess
   File "C:\cygwin\home\pje\c6\chandler\tools\winprocess.py", line 26, in 
<module>
     from ctypes import c_void_p, POINTER, sizeof, Structure, windll, 
WinError, W
INFUNCTYPE
ImportError: No module named ctypes



More information about the chandler-dev mailing list